Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/s-nail: update to v14.9.4

From: Steffen Nurpmeso <steffen_at_sdaoden.eu>
Date: Thu, 5 Oct 2017 01:31:47 +0200

https://www.sdaoden.eu/code.html#s-mailx
SysV/BSD/POSIX mail(x) utility to send and receive Internet mail
---
 testing/s-nail/APKBUILD | 33 ++++++++++++++++++++++++++-------
 1 file changed, 26 insertions(+), 7 deletions(-)
diff --git a/testing/s-nail/APKBUILD b/testing/s-nail/APKBUILD
index e650cf2..e71e049 100644
--- a/testing/s-nail/APKBUILD
+++ b/testing/s-nail/APKBUILD
_at_@ -1,32 +1,51 @@
+# Contributor: Steffen Nurpmeso <steffen_at_sdaoden.eu>
 # Contributor: Ivan Tham <pickfire_at_riseup.net>
 # Maintainer: Ivan Tham <pickfire_at_riseup.net>
 pkgname=s-nail
-pkgver=14.8.16
+pkgver=14.9.4
 pkgrel=0
-pkgdesc="An incarnation of BSD Mail / POSIX mailx"
-url="https://www.sdaoden.eu/code.html#s-nail"
+pkgdesc="SysV/BSD/POSIX mail(x) utility to send and receive Internet mail"
+url="https://www.sdaoden.eu/code.html#s-mailx"
 arch="all"
 license="BSD"
-makedepends="libressl-dev libidn-dev"
+makedepends="libressl-dev libidn-dev ncurses-dev krb5-dev"
 options="suid"
 replaces="mailx"
 subpackages="$pkgname-doc"
 source="https://ftp.sdaoden.eu/s-nail-$pkgver.tar.xz"
 builddir="$srcdir/"$pkgname-$pkgver
 
+# LD_LIBRARY_PATH is included via -rpath, so use system defaults only.
+# And ensure no other paths sneak in.
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+C_INCLUDE_PATH=/usr/include
+LD_LIBRARY_PATH=/lib:/usr/lib
+LIBRARY_PATH=$LD_LIBRARY_PATH
+LD_RUN_PATH=$LD_LIBRARY_PATH
+export PATH C_INCLUDE_PATH LD_LIBRARY_PATH
+
 build() {
 	cd "$builddir"
-	make SID= NAIL=mail PREFIX=/usr SYSCONFDIR=/etc WANT_AUTOCC=0 all
+	make \
+		VAL_SID= VAL_MAILX=mail \
+		VAL_PREFIX=/usr \
+		VAL_SYSCONFDIR=/etc \
+		OPT_AUTOCC=no \
+		config || return 1
+	make build # XXX unite with config in v14.9.5
 }
 
 check() {
 	cd "$builddir"
+	unset LOGNAME USER # XXX drop that in v14.9.5
 	make test
 }
 
 package() {
 	cd "$builddir"
-	make -f mk.mk install DESTDIR="$pkgdir" LIBEXECDIR=/usr/lib/s-nail
+	make DESTDIR="$pkgdir" install
+
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
 }
 
-sha512sums="c6e431df0325cb2561bdc6dd507155829ab48cc8731971139d75058a1bfbd010eab3a1077b5c45ac7850d3b71ab45cf4df7ab62b1b6a1bf97b098b5278161b15  s-nail-14.8.16.tar.xz"
+sha512sums="96fd351d604d31dec6a03614448aa08eec885d7f01ee43e5edbd69a61579fa5b744f1cf1029680da4d415dc5f448334284f3bfa71f9449c05679b43079f98497  s-nail-14.9.4.tar.xz"
-- 
2.14.2
--steffen
|
|Der Kragenbaer,                The moon bear,
|der holt sich munter           he cheerfully and one by one
|einen nach dem anderen runter  wa.ks himself off
|(By Robert Gernhardt)
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 05 2017 - 01:33:27 GMT